--- /dev/null	Fri Jul 24 12:28:13 2015
+++ new/usr/src/lib/libnisdb/xdr_nullptr.h	Fri Jul 24 12:28:13 2015
@@ -0,0 +1,34 @@
+/*
+ * This file and its contents are supplied under the terms of the
+ * Common Development and Distribution License ("CDDL"), version 1.0.
+ * You may only use this file in accordance with the terms of version
+ * 1.0 of the CDDL.
+ *
+ * A full copy of the text of the CDDL should have accompanied this
+ * source.  A copy of the CDDL is also available via the Internet at
+ * http://www.illumos.org/license/CDDL.
+ */
+
+/*
+ * Copyright 2015 Gary Mills
+ */
+
+#ifndef _XDR_NULLPTR_H
+#define	_XDR_NULLPTR_H
+
+/*
+ * This function is used to control serializing and de-serializing of the
+ * database objects.
+ */
+
+#ifdef __cplusplus
+extern "C" {
+#endif
+
+extern bool_t xdr_nullptr(XDR *, void **);
+
+#ifdef __cplusplus
+}
+#endif
+
+#endif /* _XDR_NULLPTR_H */
